Package org.kie.internal.io

# Class ResourceWithConfigurationImpl

java.lang.Object
org.kie.internal.io.ResourceWithConfigurationImpl

All Implemented Interfaces:
  `ResourceWithConfiguration`

public class ResourceWithConfigurationImpl extends Object implements ResourceWithConfiguration

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceWithConfigurationImpl(Resource resource, ResourceConfiguration resourceConfiguration, Consumer<Object> beforeAdd, Consumer<Object> afterAdd)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Consumer<Object>`
  `getAfterAdd()`
  `Consumer<Object>`
  `getBeforeAdd()`
  `Resource`
  `getResource()`
  `ResourceConfiguration`
  `getResourceConfiguration()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceWithConfigurationImpl

    public ResourceWithConfigurationImpl(Resource resource, ResourceConfiguration resourceConfiguration, Consumer<Object> beforeAdd, Consumer<Object> afterAdd)
    Parameters:
      `resource` -
      `resourceConfiguration` -
      `beforeAdd` - callback executed on `kbuilder` as a paramenter, which will be executed before performing `KieAssemblerService.addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)` for the given resource `resource`
      `afterAdd` - callback executed on `kbuilder` as a paramenter, which will be executed after performing `KieAssemblerService.addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)` for the given resource `resource`

- ## Method Details

  - ### getResource

    public Resource getResource()
    Specified by:
      `getResource` in interface `ResourceWithConfiguration`

  - ### getResourceConfiguration

    public ResourceConfiguration getResourceConfiguration()
    Specified by:
      `getResourceConfiguration` in interface `ResourceWithConfiguration`

  - ### getBeforeAdd

    public Consumer<Object> getBeforeAdd()
    Specified by:
      `getBeforeAdd` in interface `ResourceWithConfiguration`

  - ### getAfterAdd

    public Consumer<Object> getAfterAdd()
    Specified by:
      `getAfterAdd` in interface `ResourceWithConfiguration`